----------------------------------------------
--	LIBRERIAS Y CONFIGURACIN
----------------------------------------------

--Importacin de libreras

local storyboard = require( "storyboard" )
local scene = storyboard.newScene()
storyboard.purgeOnSceneChange = true

----------------------------------------------
--		GLOBALES	
----------------------------------------------


	--Declaracin de variables, ej:
	local background, start, fx


----------------------------------------------
--		FUNCIONES	
----------------------------------------------

	-- Aqu insertamos las funciones que vayamos programando

	--Funcin que se ejecuta al darle al botn de start

local function start_m (event)
	if event.phase == "ended" then
		audio.play (fx)
		storyboard.gotoScene( "tutorial", {effect="slideLeft", time=400, params = {resume=false}} )
	
	end
end

----------------------------------------------
--		ESCENA							--
----------------------------------------------
function scene:createScene( event )

	--Creamos los elemenos estticos VISIBLES y lo metemos en un grupo (self.view) para cuando cambiemos de escena
	--se oculten estos elementos. Ej:

	-- Declaracin del grupo
	local group = self.view
	-- Insertamos Fondo 
	background = display.newImage ("assets/img/menu_background.png")
	--Aadimos al grupo
	group:insert(background)


	
	--Botn de START
	start = display.newImage ("assets/img/menu_start.png")
	start.x = 235; start.y = 440
	group:insert(start)

	--Sonidos
	--Este sonido se escuchar al pulsar sobre el botn (mirar funcin start_m)
	fx = audio.loadSound ("assets/fx/fx10.wav")
	--Nota: Si declaramos sonidos no ser necesaro meterlo en el grupo

end



function scene:enterScene( event )

	--creamos listeners, empezamos timers, transiciones, etc.. En otras palabras, empezamos el movimiento y interaccin
	
	--Creamos un listener para cuando le damos al botn de start
	start:addEventListener ("touch", start_m)

	

end

function scene:exitScene( event )
	
	-- destruimos listeners, paramos timers, transiciones, etc..
	
	--Destruimos el listener de start
	start:removeEventListener("touch", start_m)

	
end

----------------------------------------------
--		LISTENERS DE ESCENA					--
----------------------------------------------

scene:addEventListener( "createScene", scene )
scene:addEventListener( "enterScene", scene )
scene:addEventListener( "exitScene", scene )


----------------------------------------------------------
return scene
